Skip to main content
PATCH
Update an external card

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

externalCardId
string
required

Public ID of the external card (prefixed with extcrd_)

Body

application/json

Fields to update on the external card.

Fields to update on the external card.

nickname
string | null
required

New nickname for the external card. Pass null to clear it.

Required string length: 1 - 100
Example:

"Jane's virtual card"

Response

External card updated successfully.

An external card.

id
string

Public ID of the external card (prefixed with extcrd_).

Example:

"extcrd_2mNpXwZ7bV1aLcs3Kf9dQ"

userId
string

Public ID of the user this card belongs to (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

counterPartyId
string

Public ID of the counter party this card belongs to (prefixed with cpty_).

Example:

"cpty_7bV1aLcs3Kf9dQ2mNpXwZ"

firstName
string

Cardholder first name.

Example:

"John"

lastName
string

Cardholder last name.

Example:

"Doe"

cardNumber
string

Masked card number, exposing only the last four digits.

Example:

"************1111"

expiryMonth
string

Card expiry month (2 digits).

Example:

"09"

expiryYear
string

Card expiry year (2 digits).

Example:

"28"

nickname
string | null

Client-supplied nickname for the external card.

Example:

"Jane's virtual card"

status
enum<string>
Available options:
ACTIVE,
INACTIVE
Example:

"ACTIVE"

createdAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"

updatedAt
string<date-time>
Example:

"2026-07-01T10:30:00.000Z"